Subject: Re: Building ppc/powerpc kernel to run under QEMU.

From: Rob Landley <[email-masked]>
Date: Fri, 11 May 2007 23:30:01 -0400

On Thursday 10 May 2007 9:46 pm, David Gibson wrote:
> On Thu, May 10, 2007 at 11:07:52PM +0100, Matt Sealey wrote:
> > QEMU really really wants a PREP kernel, and that stuff's just not in the 
new
> > arch/powerpc tree anymore is it?
> 
> qemu is PReP, eh?  Well that would explain the not working: PReP
> hasn't been ported to arch/powerpc yet.  The fact that qemu acts like
> a PReP might make doing so rather easier.

It's slightly more compliated than that.

The CVS version of QEMU says it can emulate the following architectures:

qemu-system-ppc -M ?
Supported machines are:
g3bw       Heathrow based PowerMAC (default)
mac99      Mac99 based PowerMAC
prep       PowerPC PREP platform
ref405ep   ref405ep
taihu      taihu

Unfortunately, the powermac variants want a hard drive image (the open 
hackware bios won't finish booting without it), and the other two are new 
enough I haven't had a chance to try 'em yet.

The only way I've managed to build a prep kernel is ARCH=ppc.  I can build a 
CHRP kernel with arch=powerpc, but can't figure out how to tell qemu to boot 
it (and am told formatting a fake partitioned hard drive image is The Way).

Rob